package com.ruoyi.web.work.domain.dto;

import lombok.Data;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.Digits;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
public class PayDto {

    @NotNull(message = "充值金额不能为空")
    @Digits(integer = 10, fraction = 2, message = "充值金额只能包含最多两位小数")
    @DecimalMin(value = "0.01", message = "金额必须大于0")
    private BigDecimal money;
}
